import XButton from './components/XButton/index.js'
import XAlert from './components/XAlert/index.js'

const components = [
  XButton,
  XAlert
]

const install = function(Vue) {
  components.forEach(component => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
    XButton,
  XAlert
}
